=== debian/changelog ===
ros-eloquent-px4-msgs (2.0.1-1bionic) bionic; urgency=high

  * Update message definitions
  * Add a dependency on ros_environment
  * CI: bump container tags to 2019-10-24
  * Contributors: PX4 BuildBot, TSC21, Tully Foote

 -- Nuno Marques <nuno.marques@dronesolutions.io>  Thu, 24 Oct 2019 23:00:00 -0000

ros-eloquent-px4-msgs (2.0.0-1bionic) bionic; urgency=high

  * First release of px4_msgs to ROS 2 distros
  * Contributors: Nuno Marques, PX4 Build Bot, PX4BuildBot, TSC21

 -- Nuno Marques <nuno.marques@dronesolutions.io>  Fri, 18 Oct 2019 23:00:00 -0000
