=== debian/control ===
Source: ros-eloquent-px4-msgs
Section: misc
Priority: optional
Maintainer: Nuno Marques <nuno.marques@dronesolutions.io>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-lint-common, ros-eloquent-builtin-interfaces, ros-eloquent-ros-environment, ros-eloquent-rosidl-default-generators, ros-eloquent-ros-workspace, ros-eloquent-rmw-connext-cpp, ros-eloquent-rmw-fastrtps-cpp, ros-eloquent-rmw-implementation, ros-eloquent-rmw-opensplice-cpp, ros-eloquent-rosidl-typesupport-connext-c, ros-eloquent-rosidl-typesupport-connext-cpp, ros-eloquent-rosidl-typesupport-opensplice-c, ros-eloquent-rosidl-typesupport-opensplice-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-px4-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-builtin-interfaces, ros-eloquent-ros-environment, ros-eloquent-rosidl-default-runtime, ros-eloquent-ros-workspace
Description: Package with the ROS-equivalent of PX4 uORB msgs
